/* Ejercicio extracción de substring 6/6/15
 * Curso R1021
 *
 * main.c - Programa ejemplo de prueba de la función desarrollada
 * Autor: Leandro Kollenberger
 */

#include <stdio.h>
#include "substring.h"

#define MAX 100 // Longitud máxima del vector de caracteres que usaremos como string.

int main(void) {
    int posicion = 0, cantidad = 0, procesados;
    char entrada[MAX], salida[MAX];

    printf("Ingrese string a procesar: ");
    /* Utilizamos fgets() ya que scanf() interpreta los espacios como
     * el final de un string, entonces no nos deja ingresar un string con
     * múltiples palabras.
     */
    fgets(entrada, MAX - 1, stdin);

    printf("Ingrese posicion inicial del string a extraer: ");
    scanf("%d", &posicion);

    printf("Ingrese cantidad de caracteres a extraer: ");
    scanf("%d", &cantidad);

    procesados = substring(entrada, salida, posicion, cantidad);
    // substring() nos devuelve la cantidad de caracteres que pudo procesar.

    printf("Se han procesado %d caracteres.\n", procesados);
    printf("El string resultante es: \"%s\" ", salida);
    // Con el \" "escapo" el final del string que le paso a printf()

    return 0;
}
