/* Ejercicio extracción de substring 6/6/15
 * Curso R1021
 *
 * substring.h - Archivo cabecera
 * Autor: Leandro Kollenberger
 */

/* Función desarrollada. Aquí si importan los nombres de los parametros que le
 * pasé a la función, ya que de esa forma los identifico dentro de ésta.
 *
 */

int substring(char *entrada, char *salida, int posicion, int n) {
    int i; // Contador de ciclo y cantidad de caracteres copiados.

    // Ejecuto el ciclo mientras mi contador sea menor que la cantidad a
    // copiar y mientras el string de entrada no se termine.
    for(i=0; i<n && entrada[posicion + i] != '\0'; i++) {
        salida[i] = entrada[posicion + i];
    }

    salida[i] = '\0'; // Finalizo el string con un '\0'

    return i; // Retorno cantidad de caracteres copiados.
}
